# ==================================================================
# Plugins::Build_Random - Auto Generated Install Module
#
#   Plugins::Build_Random
#   Author  : Andy Newby (UltraNerds)
#   Version : 1
#   Updated : Mon Jul 12 07:51:51 2004
#
# ==================================================================
#

package Plugins::Build_Random;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'Build_Random';
# Inhert from base class for debug and error methods
    @Plugins::Build_Random::ISA = qw(GT::Base);

    $META = {
    'version' => '1',
    'url' => 'http://www.ultranerds.com',
    'prog_ver' => '2.1.2',
    'author' => 'Andy Newby (UltraNerds)',
    'license' => 'GPL',
    'description' => 'This plugin will let you update your category sort order, so it is random (whilst still keeping the correct order on span pages).'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'I hope you find this plugin is useful. If you find any bugs, please let me know!';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'Sorry to see you are uninstalling.';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Build_Random::error
#
    my ($mgr, $tar) = @_;
    
    unless (exists $DB->table('Links')->cols->{'RandomID'}) {  
             my $editor = $DB->editor ('Links');
                $editor->add_col ('RandomID', {
                                  type => 'INT',
                                  display => '10',
                                  form_display => 'Random Order ID:',
                                  default => '0'
                                  }) or die "Cant add SQL field. Reason: $GT::SQL::error";
    }

    $mgr->install_hooks ( 'Build_Random', [ ['build_home', 'PRE', 'Plugins::Build_Random::build_home_update', 'FIRST'] ]);
    $mgr->install_menu ( 'Build_Random', [ ['Readme', 'admin.cgi?do=plugin&plugin=Build_Random&func=Readme'] ] );
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Build_Random::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'Build_Random', [ ['build_home', 'PRE', 'Plugins::Build_Random::build_home_update', 'FIRST'] ]);
    $mgr->uninstall_menu ( 'Build_Random', [ ['Readme', 'admin.cgi?do=plugin&plugin=Build_Random&func=Readme'] ] );
    ;
    return "The plugin has been successfully removed!";
}

1;
